TESTHOST(1)

NAME
testhost - test the status of an NNTP news server

SYNOPSIS
testhost hostname [ -a|-ndatetime ] [ -s|-Sfilename ] [ -e|-Efilename ]

OPTIONS
-a Get the active list from hostname -n date time Get the newgroups created on the host since the date and time specified. The date must be in YYMMDD format and the time must be in HHMMSS format. -s | -S filename These options will send all status messages (normally displayed on stdout), to an alternate file. The lower case version, -s, will send the status messages to the compiled-in default defined in config.h. The default is /dev/null, so no status messages will be displayed. The upper case version, -S, requires the filename parameter. All status messages will then be sent to this file. -e | -E filename These options will send all error messages (normally displayed on stderr), to an alternate file. The lower case version, -e, will send the error messages to the compiled-in default defined in config.h. The default is suck.errog. The upper case version, -E, requires the filename parameter. All error messages will then be sent to this file.

DESCRIPTION
Testhost will query a NNTP news server, specified by hostname. The default action is to issue the help command to the server, to see what software it is running and what commands it accepts.

If the -a option is used, testhost will display the server's active history list. If the -n date time option is used, testhost will display all new groups created on the server since the date and time specifed.

EXIT VALUES
0 on success, -1 on failure.

SEE ALSO
suck(1), rpost(1), lpost(1).